	INCLUDE EFR32MG12.inc		; CPU register definitions
	EXPORT	main	
	IMPORT	GPIO_setup

BUTTON0		EQU	1<<14
BUTTON1		EQU	1<<15	
RED_LED		EQU	1<<8

;-------------------------------------	; CODE segment in flash (ROM)
	AREA    |.text|, CODE, READONLY
main	PROC				; main user code
	bl	GPIO_setup

loop
	GETW	GPIO_PD_DIN, GPIO	; R1 = button state
	ands	R1, #BUTTON0		; is button0 released?		
	bne	loop			; NO - keep waiting
	
	PUTW	RED_LED, GPIO_PD_DOUTTGL, GPIO	; toggle led
	
wait4release				; wait for button release
	GETW	GPIO_PD_DIN, GPIO	; R1 = button state
	ands	R1, #BUTTON0		; is button0 released?
	beq	wait4release		; YES - keep waiting	
	b	loop

	ENDP

	ALIGN
	END
	